## org.apache.mahout.fpm.pfpgrowth.convertors.string
Class TopKStringPatterns

    java.lang.Object
      org.apache.mahout.fpm.pfpgrowth.convertors.string.TopKStringPatterns

All Implemented Interfaces:
  org.apache.hadoop.io.Writable

    public final class TopKStringPatterns

extends Object
implements org.apache.hadoop.io.Writable

A class which collects Top K string patterns

Constructor Summary
`TopKStringPatterns()`
`TopKStringPatterns(Collection<Pair<List<String>,Long>> patterns)`

Method Summary
`List<Pair<List<String>,Long>>` `getPatterns()`
`Iterator<Pair<List<String>,Long>>` `iterator()`
`TopKStringPatterns` `merge(TopKStringPatterns pattern, int heapSize)`
`void` `readFields(DataInput in)`
`String` `toString()`
`void` `write(DataOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TopKStringPatterns

    public TopKStringPatterns()

### TopKStringPatterns

    public TopKStringPatterns(Collection<Pair<List<String>,Long>> patterns)

Method Detail

### iterator

    public Iterator<Pair<List<String>,Long>> iterator()

### getPatterns

    public List<Pair<List<String>,Long>> getPatterns()

### merge

    public TopKStringPatterns merge(TopKStringPatterns pattern,
                                    int heapSize)

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Specified by:
    `readFields` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `IOException`

### write

    public void write(DataOutput out)
               throws IOException

  Specified by:
    `write` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `IOException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.